Bug 849289 - [abrt] alacarte-0.13.4-4.fc17: types.py:43:function:TypeError: Expected Gtk.TreePath, but got StructMeta
[abrt] alacarte-0.13.4-4.fc17: types.py:43:function:TypeError: Expected Gtk.T...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:aea5f034c5eb7c849ccdf110a4a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 21:38 EDT by Raj Upadhyaya
Modified: 2014-08-26 22:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raj Upadhyaya 2012-08-17 21:38:53 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
comment:        I clicked new item on the Main menu
event_log:      2012-08-17-20:38:03> Smolt profile successfully saved
executable:     /usr/bin/alacarte
kernel:         3.5.2-1.fc17.i686
time:           Fri 17 Aug 2012 08:36:50 PM CDT
uid:            1000
username:       raj

backtrace:
:types.py:43:function:TypeError: Expected Gtk.TreePath, but got StructMeta
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 275, in on_new_item_button_clicked
:    menu_tree.expand_to_path((0,))
:  File "/usr/lib/python2.7/site-packages/gi/types.py", line 43, in function
:    return info.invoke(*args, **kwargs)
:TypeError: Expected Gtk.TreePath, but got StructMeta
:
:Local variables in innermost frame:
:info: <gi.FunctionInfo object (expand_to_path) at 0x0xb71f628c>
:args: (<TreeView object at 0x98a16bc (GtkTreeView at 0x9908120)>, (0,))
:kwargs: {}

smolt_data:
:
:
:General
:=================================
:UUID: f93ca116-cd31-4658-b128-92c8e533c120
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5601.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 2.80GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 2008
:System Swap: 4031
:Vendor: HP Pavilion 061
:System: EX278AA-ABA a1560n 0nx1114RE101LEUCI00
:Form factor: Desktop
:Kernel: 3.5.2-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4358:12356:4156:10811) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
:(32902:10204:4156:10811) pci, e100, ETHERNET, Pavilion A1512X
:(4545:1568:4545:1568) pci, None, SIMPLE, Lucent V.92 Data/Fax Modem
:(32902:10098:4156:10811) pci, i915, VIDEO, Pavilion A1512X
:(32902:10179:4156:10811) pci, ahci, RAID, 82801GR/GH (ICH7 Family) SATA RAID Controller
:(32902:10207:4156:10811) pci, ata_piix, STORAGE, Pavilion A1512X
:(32902:10160:4156:10811) pci, None, PCI/ISA, Pavilion A1512X
:(32902:10200:4156:10811) pci, snd_hda_intel, MULTIMEDIA, Pavilion A1512X
:(32902:10202:4156:10811) pci, i801_smbus, SERIAL, Pavilion A1512X
:(32902:9294:4156:10811) pci, None, PCI/PCI, Pavilion A1512X
:(32902:10185:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10184:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10096:4156:10811) pci, agpgart-intel, HOST/PCI, Pavilion A1512X
:(32902:10186:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10187:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10188:4156:10811) pci, ehci_hcd, USB, Pavilion A1512X
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_rajhome2-lv_root / ext4 4096 4096 12901535 11068473 10937423 3276800 3070739 3070739
:/dev/sda1 /boot ext4 1024 1024 495844 402859 377259 128016 127661 127661
:/dev/mapper/vg_rajhome2-lv_home /home ext4 4096 4096 58064638 16935950 13986421 14753792 14655327 14655327
:
Comment 1 Fedora End Of Life 2013-07-03 19:22:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 22:00:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.